%define snap r500244

Summary:	A benchmarking tool for Apache2
Name:		flood
Version:	1.1
Release:	%mkrel 0.%{snap}.3
License:	Apache License
Group:		System/Servers
URL:		http://httpd.apache.org/test/flood/
Source0:	flood-1.1-%{snap}.tar.bz2
Patch0:		flood-openssl-version.diff
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	apr-devel >= 1.2.2
BuildRequires:	apr-util-devel >= 1.2.2
BuildRequires:	apache-devel
BuildRequires:	docbook-style-xsl
BuildRequires:	libxslt-proc
Requires:	openssl

%description
Flood is a profile-driven HTTP load tester. It can be used to
gather important performance metrics for your website.

%prep

%setup -q -n flood
%patch0

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;
		
for i in `find . -type d -name .svn`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%build
#########################################################################################
# configure and build phase
#

export WANT_AUTOCONF_2_5=1
#libtoolize --copy --force; aclocal-1.7; autoconf; automake-1.7 --add-missing
autoconf

%serverbuild

export CFLAGS="%{optflags}"

# We need to re-run ./buildconf because of any applied patch(es)
#./buildconf

%configure2_5x \
    --cache-file=config.cache \
    --with-apr=%{_bindir}/apr-1-config \
    --with-apr-util=%{_bindir}/apu-1-config \
    --with-openssl=%{_includedir} \
    --enable-ssl \
    --with-capath=%{_sysconfdir}/pki/flood

%make 

# make docs
mkdir -p manual
xsltproc -o manual/ %{_datadir}/sgml/docbook/xsl-stylesheets/xhtml/chunk.xsl docs/docbook/flood.xml

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
#########################################################################################
# install phase
#

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}/pki/flood/private

# install flood
install -m0755 flood %{buildroot}%{_sbindir}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(644,root,root,755)
%doc CHANGES CONFIG DESIGN LICENSE NOTICE STATUS examples manual
%dir %{_sysconfdir}/pki/flood
%dir %{_sysconfdir}/pki/flood/private
%attr(0755,root,root) %{_sbindir}/flood




%changelog
* Mon Dec 24 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1-0.r500244.3mdv2008.1
+ Revision: 137507
- rebuilt against openldap-2.4.7 libs

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Pascal Terjan <pterjan@mandriva.org> 1.1-0.r500244.2mdv2008.0
+ Revision: 82860
- rebuild


* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1-0.r500244.1mdv2007.0
+ Revision: 113781
- Import flood

* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1-0.r500244.1mdv2007.1
- 1.1
- use a recent svn snap (r500244)

* Mon Dec 12 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-1.r356281.1mdk
- use a recent svn snap (r356281)
- rebuilt against latest system apr and apr-util
- use the new /etc/pki directory structure

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.20041030.8mdk
- rebuilt against openssl-0.9.8a

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.20041030.7mdk
- rebuilt against new openldap-2.3.6 libs

* Wed May 11 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.20041030.6mdk
- fix deps

* Tue Feb 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.0-0.20041030.5mdk
- rebuild for ldap2.2_7

* Fri Feb 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20041030.4mdk
- rebuilt against new openldap libs

* Thu Jan 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20041030.3mdk
- make --with debug work

* Sat Nov 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.20041030.2mdk
- rebuilt against new apu/apr libs

* Sun Oct 31 2004 Oden Eriksson <oden.eriksson@mandrakesoft.com> 1.0-0.20041030.1mdk
- 20041030
- build against apr and apu 1

* Wed May 12 2004 Oden Eriksson <oden.eriksson@mandrakesoft.com> 1.0-0.20021203.1mdk
- re-added into cooker
- added P0 (suse)
- added S1 from CVS

